//
//  FirstViewController.m
//  PruebaPush
//
//  Created by Guillermo Izquierdo on 23/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "LoginViewController.h"
#import "AccountViewController.h"
#import "HTMLNode.h"
#import "HTMLParser.h"

@implementation LoginViewController

@synthesize newUser;
@synthesize nameInput, webData;
@synthesize passInput;
@synthesize logout;


-(BOOL)textFieldShouldReturn:(UITextField *)textField{
	
	[textField resignFirstResponder];
	return YES;
}


-(IBAction)logout:(id)sender{
	
	NSString *l;
	l = [[NSString alloc]initWithContentsOfURL:[NSURL URLWithString:
												@"http://proyecto.lavidapirata.es/site/logout"]];
	UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"Login" message:@"You are logged out" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
	
	[alert show];
	[alert release];
		
}


-(IBAction)newRegister:(id)sender{
	
	AccountViewController *varAccountViewController = [[AccountViewController alloc] init];
	//Título de la segunda pestaña.
	varAccountViewController.title = @"Register";
	 
	[[self navigationController] pushViewController:varAccountViewController animated:YES];
	[varAccountViewController release];
	
	
}

-(IBAction)buttonClick:(id)sender
{
	
	NSString* username = nameInput.text;

	NSString* pass = passInput.text;

	
	if([nameInput.text isEqualToString:@"" ]|| [passInput.text isEqualToString:@""]) 
	{
		UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"Login" message:@"Name, password?" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
		
		[alert show];
		[alert release];
		
		return;
	}
	
	NSString *post = 
	[[NSString alloc] initWithFormat:@"email=%@&password=%@",username,pass];
	
	NSData *postData = [post dataUsingEncoding:NSASCIIStringEncoding allowLossyConversion:YES];  
	
	NSString *postLength = [NSString stringWithFormat:@"%d", [postData length]];  
	
	NSURL *url = [NSURL URLWithString:@"http://proyecto.lavidapirata.es/site/login/"];
	//http://www.chakrainteractive.com/mob/iphone/login/chckusr.php	
	
	NSMutableURLRequest *theRequest = [NSMutableURLRequest requestWithURL:url];
	[theRequest setHTTPMethod:@"POST"];  
	[theRequest setValue:postLength forHTTPHeaderField:@"Content-Length"];  
	[theRequest setHTTPBody:postData];	
	
	
	NSURLConnection *theConnection = [[NSURLConnection alloc] initWithRequest:theRequest delegate:self];
	
	if( theConnection )
	{
		webData = [[NSMutableData data] retain];
	}
	else
	{
		
	}
	
	
	nameInput.text = nil;
	passInput.text = nil;
	
}

-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response
{
	[webData setLength: 0];
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data
{
	
	[webData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error
{
	
	[connection release];
	[webData release];
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection
{
	
	NSString *loginStatus = [[NSString alloc] initWithBytes: [webData mutableBytes] length:[webData length] encoding:NSUTF8StringEncoding];
	NSError *error = nil;
	
	//HTML connection	
	HTMLParser *htmlBody = [[HTMLParser alloc]initWithContentsOfURL:[NSURL URLWithString:@"http://proyecto.lavidapirata.es"] error:&error];

	
	if(error)
	{
		NSLog(@"Error:@",error);
		return;
	}
	
	HTMLNode *node = [htmlBody body];
	
	
	//Find tags li in HTML code
	NSArray *books = [node findChildTags: @"div"];
	
	NSString *cadena = [[NSString alloc]init];
	NSLog(loginStatus);
	for(HTMLNode *resultado in books)
	{		
		cadena = [resultado getAttributeNamed:@"login"];
		if(cadena)
		{
			if([cadena isEqualToString:@"TRUE"])
			{
				NSLog(@"Hemos cogido este libro:%@", cadena);
				UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"Login" message:@"You are logged" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
				
				[alert show];
				[alert release];
			}
			else {
				UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"Error" message:@"Name or Password incorrect" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
				
				[alert show];
				[alert release];
			}

		}
	}
	
	

	[loginStatus release];	
	[connection release];
	[webData release];
}


// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	self.view.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"background_brown.jpg"]];
	self.navigationController.navigationBar.tintColor= [UIColor blackColor];
	self.navigationItem.title = @"Login";
	passInput.secureTextEntry = YES;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
